Domains
Get multiple domains by name
POST
Filter through a list of domains to fetch data and stats. It allows for a maximum of 500 domains.
sso-keyheader
Authorization<token>Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET
customerId*stringAn identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.
Match
^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$Default
"my"includes?array<>The options for retrieving additional domain data.
Note: Search data is available to Discount Domain Club Domain Pro members.
X-Request-Id?stringA unique identifier for the request
Domains
application/json- body
names*array<>A list of puny-coded domain names as an array
Range
value <= 500Result of the filtered search of domains in your portfolio.
application/json- response
domains?array<>curl -X POST 'https://api.afternic.com/v3/aftermarket/customers/my/domains/$each/get' \ -H 'Content-Type: application/json' \ -d '{ "names": [ "example.com", "example2.com", "example3.com" ]}'Example Response
{ "domains": [ { "registrar": "GODADDY", "fastTransferStatus": "AWAITING_OPT_IN", "intakeLeads": 10, "offerCount": 10, "intakeViews": 10, "listedAt": "2006-01-02T15:04:05Z", "transactionLink": "string", "searches": { "total": { "30d": 8, "90d": 18, "365d": 67 }, "unique": { "30d": 8, "90d": 18, "365d": 67 } }, "name": "example.com", "featured": true, "hidden": false, "buynowPrice": 500000000, "floorPrice": 500000000, "minbidPrice": 500000000, "maxLeasePeriod": 36, "leasingEnabled": false, "displayName": "exämple.de", "intakeStyle": "PRICE_FORM", "showLanderMakeOfferOption": false, "showLanderLeaseToOwnOption": false, "showLanderBuynowOption": false, "landingPage": "SALES_TYPE", "updatedAt": "2006-01-02T15:04:05Z", "createdAt": "2006-01-02T15:04:05Z", "listStatus": "ACTIVE", "tld": "co.uk" } ]}